%bcond_with docs
%bcond_with flatpak
%global gdk_pixbuf2_version               2.36.5
%global gtk3_version                      3.3.6
%global gtk4_version                      4.4.0
%global glib2_version                     2.53.0
%global gsettings_desktop_schemas_version 3.27.0
%global po_package                        gnome-desktop-3.0

Name:    gnome-desktop3
Version: 43
Release: 4%{?dist}
Summary: Library with common API for various GNOME modules

License: GPLv2+ and LGPLv2+
URL:     https://gitlab.gnome.org/GNOME/gnome-desktop
Source0: https://download.gnome.org/sources/gnome-desktop/43/gnome-desktop-%{version}.tar.xz

Source1: gnome-mimeapps.list
Source2: totem-defaults.list
Source3: file-roller-defaults.list
Source4: eog-defaults.list
Source5: evince-defaults.list

Patch0:  make-inscript2-default-for-indic-languages.patch

BuildRequires: gcc, gettext, itstool, meson, gtk-doc
BuildRequires: pkgconfig(gdk-pixbuf-2.0) >= %{gdk_pixbuf2_version}, pkgconfig(gio-2.0) >= %{glib2_version}, pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires: pkgconfig(gobject-introspection-1.0), pkgconfig(gtk+-3.0) >= %{gtk3_version}, pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires: pkgconfig(gsettings-desktop-schemas) >= %{gsettings_desktop_schemas_version}
BuildRequires: pkgconfig(iso-codes), pkgconfig(libseccomp), pkgconfig(libudev), pkgconfig(xkeyboard-config)

%if %{with flatpak}
Requires: bubblewrap
%endif
Requires: shared-mime-info
Requires: gdk-pixbuf2 >= %{gdk_pixbuf2_version}
Requires: glib2 >= %{glib2_version}
Requires: gsettings-desktop-schemas >= %{gsettings_desktop_schemas_version}

Conflicts: shared-mime-info < 2.0-4

%description
gnome-desktop3 contains the libgnome-desktop library as well as a data
file that exports the "GNOME" version to the Settings Details panel.

The libgnome-desktop library provides API shared by several applications
on the desktop, but that cannot live in the platform for various
reasons. There is no API or ABI guarantee, although we are doing our
best to provide stability. Documentation for the API is available with
gtk-doc.

%package devel
Summary: Libraries and headers for %{name}
License: LGPLv2+
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n gnome-desktop4
Summary: Library with common API for various GNOME modules
License: GPLv2+ and LGPLv2+
Requires: %{name} = %{version}-%{release}

%description -n gnome-desktop4
gnome-desktop4 contains the libgnome-desktop library.

The libgnome-desktop library provides API shared by several applications
on the desktop, but that cannot live in the platform for various
reasons. There is no API or ABI guarantee, although we are doing our
best to provide stability.

%package -n gnome-desktop4-devel
Summary: Libraries and headers for gnome-desktop4
License: LGPLv2+
Requires: gnome-desktop4 = %{version}-%{release}

%description -n gnome-desktop4-devel
The gnome-desktop4-devel package contains libraries and header files for
developing applications that use gnome-desktop4.

%package  tests
Summary:  Tests for the %{name} package
Requires: %{name} = %{version}-%{release}

%description tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.



%prep
%autosetup -p1 -n gnome-desktop-%{version}



%build
%meson \
%if %{with docs}
    -Dgtk_doc=true \
%else
    -Dgtk_doc=false \
%endif
    -Dinstalled_tests=true
%meson_build



%install
%meson_install

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %SOURCE1 %{buildroot}%{_datadir}/applications/gnome-mimeapps.list
cat %SOURCE2 >> %{buildroot}%{_datadir}/applications/gnome-mimeapps.list
cat %SOURCE3 >> %{buildroot}%{_datadir}/applications/gnome-mimeapps.list
cat %SOURCE4 >> %{buildroot}%{_datadir}/applications/gnome-mimeapps.list
cat %SOURCE5 >> %{buildroot}%{_datadir}/applications/gnome-mimeapps.list

%find_lang %{po_package} --all-name --with-gnome



%files -f %{po_package}.lang
%license COPYING COPYING.LIB
%doc AUTHORS NEWS README.md
%{_datadir}/applications/gnome-mimeapps.list
%{_libdir}/libgnome-desktop-3.so.20{,.*}
%{_libdir}/girepository-1.0/GnomeDesktop-3.0.typelib
%{_libexecdir}/gnome-desktop-debug/

%files devel
%{_libdir}/libgnome-desktop-3.so
%{_libdir}/pkgconfig/gnome-desktop-3.0.pc
%{_includedir}/gnome-desktop-3.0
%{_datadir}/gir-1.0/GnomeDesktop-3.0.gir
%if %{with docs}
%dir %{_datadir}/gtk-doc/
%dir %{_datadir}/gtk-doc/html/
%doc %{_datadir}/gtk-doc/html/gnome-desktop3/
%endif

%files -n gnome-desktop4
%license COPYING COPYING.LIB
%doc AUTHORS NEWS README.md
%{_libdir}/libgnome-bg-4.so.2{,.*}
%{_libdir}/libgnome-desktop-4.so.2{,.*}
%{_libdir}/libgnome-rr-4.so.2{,.*}
%{_libdir}/girepository-1.0/Gnome*-4.0.typelib

%files -n gnome-desktop4-devel
%{_libdir}/libgnome-*-4.so
%{_libdir}/pkgconfig/gnome-*-4.pc
%{_includedir}/gnome-desktop-4.0
%{_datadir}/gir-1.0/Gnome*-4.0.gir

%files tests
%{_libexecdir}/installed-tests/gnome-desktop
%{_datadir}/installed-tests



%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 5 2022 Zhao Zhen <jeremiazhao@tencent.com> - 43-1
- initial
